"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceApi = void 0;
const ElectronUtils_1 = require("../utils/ElectronUtils");
const Channel_1 = require("./Channel");
class DeviceApi {
    /**
     * 获取当前鼠标位置
     */
    static async getCursorScreenPoint() {
        return await ElectronUtils_1.ElectronUtils.invoke(Channel_1.Channel.DEVICE, this.GET_CURSOR_SCREEN_POINT);
    }
    /**
     * 判断是否所有按键都已经释放
     */
    static async isAllKeyReleased() {
        return await ElectronUtils_1.ElectronUtils.invoke(Channel_1.Channel.DEVICE, this.IS_ALL_KEY_RELEASED);
    }
}
exports.DeviceApi = DeviceApi;
DeviceApi.GET_CURSOR_SCREEN_POINT = "get-cursor-screen-point";
DeviceApi.IS_ALL_KEY_RELEASED = "is-all-key-released";
