import { ElectronUtils } from "../utils/ElectronUtils";
import { Channel } from "./Channel";
export class AppApi {
    static async setConfig(key, value) {
        await ElectronUtils.invoke(Channel.APP, this.SET_CONFIG, key, value);
    }
    static async getConfig(key, defaultValue) {
        const value = await ElectronUtils.invoke(Channel.APP, this.GET_CONFIG, key);
        if (value === null || value === undefined) {
            return defaultValue;
        }
        if (typeof defaultValue == "boolean") {
            return value === "true";
        }
        if (typeof defaultValue == "number") {
            return Number(value);
        }
        return value;
    }
    static openAddWidgetWindow() {
        ElectronUtils.invoke(Channel.APP, this.OPEN_ADD_WIDGET_WINDOW);
    }
    /**
     * 获取应用版本号，格式为 x.y.z
     */
    static async getVersion() {
        return ElectronUtils.invoke(Channel.APP, this.GET_VERSION);
    }
    static async getPreloadPath() {
        return ElectronUtils.invoke(Channel.APP, this.GET_PRELOAD_PATH);
    }
    static openSettingWindow() {
        ElectronUtils.invoke(Channel.APP, this.OPEN_SETTING_WINDOW);
    }
}
AppApi.SET_CONFIG = "SET_CONFIG";
AppApi.GET_CONFIG = "GET_CONFIG";
AppApi.OPEN_ADD_WIDGET_WINDOW = "open-add-widget-window";
AppApi.OPEN_SETTING_WINDOW = "open-setting-window";
AppApi.GET_PRELOAD_PATH = "get-preload-path";
AppApi.GET_VERSION = "get-version";
