import { ElectronUtils } from "../utils/ElectronUtils";
import { Channel } from "./Channel";
export class DeviceApi {
    /**
     * 获取当前鼠标位置
     */
    static async getCursorScreenPoint() {
        return await ElectronUtils.invoke(Channel.DEVICE, this.GET_CURSOR_SCREEN_POINT);
    }
    /**
     * 判断是否所有按键都已经释放
     */
    static async isAllKeyReleased() {
        return await ElectronUtils.invoke(Channel.DEVICE, this.IS_ALL_KEY_RELEASED);
    }
}
DeviceApi.GET_CURSOR_SCREEN_POINT = "get-cursor-screen-point";
DeviceApi.IS_ALL_KEY_RELEASED = "is-all-key-released";
